Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.router
Interface RankFunction

    public interface RankFunction

Represents a function computing a vector of ranks for a given contact, for the `OverflowAndPriorityRouter` router.

Method Summary
`boolean` | `canReturnFiniteRank(int i)` Determines if `updateRanks(Contact,double[])` can return a finite rank at position `i` for this particular function.
`boolean` | `updateRanks(Contact contact, double[] ranks)` Fills the array `ranks` with the ranks for the contact `contact`.

Method Detail

### updateRanks

    boolean updateRanks(Contact contact,
                        double[] ranks)

  Fills the array `ranks` with the ranks for the contact `contact`. The given array should have length I, and is filled by this method with ranks. The function might use the given contact as well as any relevant model's state to determine the ranks. Note that additional routing information can be obtained through the `OverflowAndPriorityRouter.RoutingInfo`.

  The vector of ranks given to this method is constructed by the router, and associated to a specific call. When this method is called for a new call, the vector contains `Double.POSITIVE_INFINITY` values. For any subsequent calls, the vector contains the current ranks for the call. This method should replace these values with the new ranks concerning the call. The method returns `true` if and only if at least one of the ranks in the given vector needs to be updated. Otherwise, it returns `false`.

  Parameters:
    `contact` - the contact being routed.
    `ranks` - the vector filled with ranks.
  Returns:
    `true` if the vector of ranks was modified, `false` otherwise.

### canReturnFiniteRank

    boolean canReturnFiniteRank(int i)

  Determines if `updateRanks(Contact,double[])` can return a finite rank at position `i` for this particular function.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.